QGIS Application - Bug report #1043
problem with reprojection on the fly
2008-04-16 08:59 AM - leolami -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11103
Description

| find a bug about the reprojection on the fly tool.

Really the bug is on the management of the projection associate to the vector that you can change from label 'General' in the vector
property windows.

If you click on 'Change'’ button, you choose a new projection an then press 'Ok’ you can see that the new associated projection seems a
mix of the old and the new projection...very strange thingh...

So when you try to reproject on the fly the result is wrong.

May be the problem is also in the reproject on the fly tool. If | use one layer with its projection file and | try to reproject it, the reproject on
the fly fails.

| see the bug on Debian and Ubuntu distribution on svn 0.9.2~rc20080401-1.

I think this is an important function and it is necessary to fix the bug before the next release.

History

#1 - 2008-04-16 09:19 AM - Jurgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

This wwas discussed on the mailing list and | believe it was fixed with commit:06d8dd39 (SVN r8349). Feel free to reopen the bug in case it's not.

#2 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
